import request from '@/utils/request'

// 查询培训视频列表
export function listCultivate(query) {
  return request({
    url: '/business/cultivate/list',
    method: 'get',
    params: query
  })
}

// 查询培训视频详细
export function getCultivate(id) {
  return request({
    url: '/business/cultivate/' + id,
    method: 'get'
  })
}

// 新增培训视频
export function addCultivate(data) {
  return request({
    url: '/business/cultivate',
    method: 'post',
    data: data
  })
}

// 修改培训视频
export function updateCultivate(data) {
  return request({
    url: '/business/cultivate',
    method: 'put',
    data: data
  })
}

// 删除培训视频
export function delCultivate(id) {
  return request({
    url: '/business/cultivate/' + id,
    method: 'delete'
  })
}

// 导出培训视频
export function exportCultivate(query) {
  return request({
    url: '/business/cultivate/export',
    method: 'get',
    params: query
  })
}